##### windows::basic_overlapped_handle::basic_overlapped_handle (3 of 6 overloads)

Construct an overlapped handle on an existing native handle.

    basic_overlapped_handle(
        const executor_type & ex,
        const native_handle_type & native_handle);

This constructor creates an overlapped handle object to hold an existing native handle.

###### Parameters

ex

  The I/O executor that the overlapped handle will use, by default, to dispatch handlers for any asynchronous operations performed on the overlapped handle.

native_handle

  The new underlying handle implementation.

###### Exceptions

asio::system_error

  Thrown on failure.